Bug 138199 - uninterpreted UTF-8 in the non-UTF-8 locales
uninterpreted UTF-8 in the non-UTF-8 locales
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-05 11:53 EST by Andy Shevchenko
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.5o1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 09:42:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for kill described issue. (2.70 KB, patch)
2004-11-05 11:54 EST, Andy Shevchenko
no flags Details | Diff

  None (edit)
Description Andy Shevchenko 2004-11-05 11:53:59 EST
Description of problem:
man does not converts its own messages (errors, fatal) in the current 
charset.

I have installed ru_RU.KOI8-R locale.

Version-Release number of selected component (if applicable):
man-1.5m2-9

How reproducible:
Just start smth. like this (or man w/o args):
man no-man-page
in the 8-bit locale, such as ru_RU.KOI8-R

Actual results:
UTF-8 in 8bit locale

Expected results:
KOI8-R coded messages.

Additional info:
See attached patch
Comment 1 Andy Shevchenko 2004-11-05 11:54:57 EST
Created attachment 106222 [details]
patch for kill described issue.
Comment 2 Eido Inoue 2004-11-09 17:27:36 EST
patch looks good; remashing to 1.5o1. thanks!
Comment 3 Andy Shevchenko 2006-01-25 06:23:39 EST
FC4. Missed my patch. And the described above behaviuor is present.
Comment 4 Christian Iseli 2007-01-22 06:41:12 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.